/*
  CL1602 Library - Hello World

 http://www.arduino.cc/en/Tutorial/LiquidCrystal
 http://www.microfan.jp/station/cl1602-station
 */

// include the library code:
#include <CL1602.h>

#define	JAPANESE

// initialize the library
CL1602 lcd;

void setup() {
  // set up the LCD's number of columns and rows:
  lcd.begin(16, 2);
  // Print a message to the LCD.
#ifdef JAPANESE
  lcd.print("\272\335\306\301\312 \320\305\273\335!");
#else
  lcd.print("hello, world!");
#endif
}

void loop() {
  // set the cursor to column 0, line 1
  // (note: line 1 is the second row, since counting begins with 0):
  lcd.setCursor(0, 1);
  // print the number of seconds since reset:
  lcd.print(millis() / 1000);
}