/*
  CL1602 Library - Blink

 http://www.arduino.cc/en/Tutorial/LiquidCrystalBlink
 http://www.microfan.jp/station/cl1602-station
 */

// include the library code:
#include <CL1602.h>

#define	JAPANESE

// initialize the library
CL1602 lcd;

void setup() {
  // set up the LCD's number of columns and rows:
  lcd.begin(16, 2);
  // Print a message to the LCD.
#ifdef JAPANESE
  lcd.print("\272\335\306\301\312 \320\305\273\335!");
#else
  lcd.print("hello, world!");
#endif
}

void loop() {
  // Turn off the blinking cursor:
  lcd.noBlink();
  lcd.ledWrite(LOW) ;
  delay(3000);
  // Turn on the blinking cursor:
  lcd.blink();
  lcd.ledWrite(HIGH) ;
  delay(3000);
}