#include <Wire.h>
#include <RtcDS3231.h>
#include <CL1602.h>

RtcDS3231 Rtc ;
CL1602 lcd ;

void setup ()
{
  Rtc.Begin() ;

// DS3231の日時を「それなりの値」に設定する場合に、以下の２行をコメントアウト
//  RtcDateTime compiled = RtcDateTime(__DATE__, __TIME__) ;
//  Rtc.SetDateTime(compiled) ;

  lcd.begin(16, 2) ;
}

void loop ()
{
  char buff[12] ;

  RtcDateTime dt = Rtc.GetDateTime() ;

  sprintf(buff, "%04u/%02u/%02u", dt.Year(), dt.Month(), dt.Day()) ;
  lcd.setCursor(0, 0) ;
  lcd.print(buff) ;

  sprintf(buff, " %02u:%02u:%02u", dt.Hour(), dt.Minute(), dt.Second()) ;
  lcd.setCursor(0, 1) ;
  lcd.print(buff) ;

  delay(100) ;
}

